%if 0%{?suse_version}
%define daemon_group www
%define phpdir /usr/share/php5
%else
%define daemon_group apache
%define phpdir /usr/share/php
%endif

Summary: op5 Licensing package
Name: op5license
Version: 2.0.1
Release: op5.1
Group: op5/system-addons
License: op5 Software License
Prefix: /opt/op5sys
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: i386 x86_64
Requires: op5-default, op5common, openssl
BuildRequires: openssl-devel
BuildRequires: op5license-generator

%description
This package provides op5 license software library. Other packages
uses the code here to verify and manipulate the license installed
on the system.

%package test
Summary: Test files for op5license
Group: op5/monitor
Requires: op5license = %version
Requires: monitor-ninja
Requires: op5-phpunit
Requires: op5license-generator
# our tests won't run without this particular supported-database
Requires: op5-mysql

%description test
Additional test files for op5license

%prep
%setup -q

%build
make

%install
rm -rf %buildroot
mkdir -p  %buildroot%prefix/bin
mkdir -p  %buildroot%prefix/lib/php
mkdir -p  %buildroot/etc/op5license
mkdir -p %buildroot/opt/monitor/op5/ninja/application/addons/license
mkdir -p %buildroot%phpdir/op5
cp -a test %buildroot%prefix/lib/test
cp Makefile %buildroot%prefix/lib
cp -a php/op5/license %buildroot%phpdir/op5/license
install -m 755 op5license-verify %buildroot%prefix/bin
install -m 755 op5license-install %buildroot%prefix/bin
install -m 755 op5license-repo-config.sh %buildroot%prefix/bin
mkdir -p %buildroot/opt/monitor/op5/ninja/modules
cp -a ninja/license %buildroot/opt/monitor/op5/ninja/modules/license
install -m 755 php/op5license.php %buildroot/opt/op5sys/lib/php

%files
%defattr(-,root,root)
%prefix/bin/op5license-verify
%prefix/bin/op5license-install
%prefix/lib/php/op5license.php
%phpdir/op5/license
%prefix/bin/op5license-repo-config.sh
/opt/monitor/op5/ninja/modules/license
%attr(775, root, %daemon_group) /etc/op5license
%exclude %prefix/lib/test
%exclude %prefix/lib/Makefile

%files test
%prefix/lib/test
%prefix/lib/Makefile

%clean
rm -rf %buildroot


%changelog
* Mon Sep 17 2007 Peter Ostlin <peter.ostlin@op5.com>
- Initial creation
